libmng (2.0.3+dfsg-2) experimental; urgency=low

  * debian/control:
    + Updated Vcs-* URLs.
    + Updated Homepage.
    + Updated to Standards-Version 4.2.1
  * debian/symbols:
    + Added Build-Depends-Package field.
  * debian/rules:
    + Replace assignment operator with ?= for DEB_HOST_GNU_TYPE.
  * Bumped dh compat to 11.
  * Removed unused file paragraph from debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Fri, 23 Nov 2018 12:13:58 +0530

libmng (2.0.3+dfsg-1) experimental; urgency=low

  [Tobias Frost]
  * New upstream release (Closes: #755287, #798781)
  * Uploading to experimental as the soname has changed and will require a
    transition.
  * Remove, using Exclude-Files in d/copyright, config.log and config.status
    from the upstream tarball to avoid 2 lintian warnings.
  * Run autoreconf during build (Closes: #755289)

  [Helmut Grohne]
  * Fix FTCBFS: Pass host arch CC to Makefile. (Closes: #794246)

  [Manuel A. Fernandez Montecelo]
  * debian/control:
    + Add Vcs-* fields.

  [Kartik Mistry]
  * Added hardening support.
  * debian/copyright:
    + Fixed copyright. Debian license is same as upstream.
    + Added copyright for contrib.
  * debian/control:
    + Updated Standards-Version to 3.9.8
  * debian/watch:
    + Add pgpsigurlmangle support.

 -- Kartik Mistry <kartik@debian.org>  Wed, 27 Jul 2016 09:35:04 +0530

libmng (1.0.10+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Buld against lcms2: new patch support-lcms2.patch (Closes: #745525)
    The patch cherry-picks the relevant changes from the new upstream version.
  * Repack tarball using Exclude-Files in d/copyright to remove non-free
    file contrib/msvc/mngview/sRGB.icm (Closes: #699304).

 --  Tobias Frost <tobi@debian.org>  Sun, 03 Aug 2014 13:20:17 +0000

libmng (1.0.10-3) unstable; urgency=low

  * debian/control:
    + Switched to libjpeg8. (Closes: #639394)
  * debian/copyright:
    + Fixed according to DEP5 format.

 -- Kartik Mistry <kartik@debian.org>  Fri, 16 Sep 2011 20:33:32 +0530

libmng (1.0.10-2) unstable; urgency=low

  * Added MultiArch support, Thanks to Steve Langasek
    <steve.langasek@canonical.com> for patch (Closes: #637735)
  * debian/control:
    + Updated Standards-Version to 3.9.2
  * debian/rules:
    + Added needed build-* targets
  * debian/copyright:
    + Updated to latest DEP-5 format

 -- Kartik Mistry <kartik@debian.org>  Sun, 14 Aug 2011 13:59:46 +0530

libmng (1.0.10-1) unstable; urgency=low

  * New upstream release (Closes: #535960)
  * debian/patches/manpage-typo-fixes.diff:
    + Added patch to fix manpage spelling mistakes
  * debian/patches/linux-makefile.diff:
    + Updated for makefile.linux upstream changes
    + Fixed typo at line 87
  * debian/patches/kfreebsd-build-fix.diff:
    + Updated for upstream changes
  * Updated debian/symbol for new symbol additions

 -- Kartik Mistry <kartik@debian.org>  Sat, 12 Jun 2010 14:48:47 +0530

libmng (1.0.9-3) unstable; urgency=low

  * Added patch to fix installation of headers files for libmng-dev and better
    way to install files using dh_install. Thanks to Arnaud Fontaine
    <arnau@debian.org> (Closes: #584414)

 -- Kartik Mistry <kartik@debian.org>  Thu, 03 Jun 2010 17:56:09 +0530

libmng (1.0.9-2) unstable; urgency=low

  * New maintainer (Closes: #555290)
  * Updated to source format 3.0 (quilt)
  * debian/control:
    + Updated Standards-Version to 3.8.4
    + Dropped build-depends on the obsolete automake1.7 and autoconf
      (Closes: #573050)
    + Wrapped up description, build-depends and depends
    + Removed duplicate Section for libmng1
    + Added Homepage entry
    + Switched to substvar ${binary:Version}
    + Added ${misc:Depends} for libmng1 and libmng-dev
  * We don't provide .la file as release goal (Closes: #364744)
  * debian/rules:
    + Do not set compat level to 4
    + Used [ ! -f Makefile ] || $(MAKE) distclean for clean target
    + Do not use dh_undocumented
    + Used dh_prep instead of dh_clean -k
  * debian/copyright:
    + Updated as per DEP-5 specification
    + Added copyright for debian/* files
  * debian/patches:
    + Organized patches and added patch headers
  * Added debian/watch file
  * Added debian/compat file
  * Added debian/symbol file

 -- Kartik Mistry <kartik@debian.org>  Wed, 02 Jun 2010 18:43:43 +0530

libmng (1.0.9-1) unstable; urgency=low

  * New upstream release. (closes: #303968, #271979)
  * Patch from Aurelien Jarno <aurel32@debian.org> to support GNU/kFreeBSD.
    Closes: #314696)
  * Patch from Christopher Bodenstein <cb@physicman.net> to support
    hurd-i386. (closes: #361103)
  * README.Debian provide information on what options are compiled in to
    libmng.(closes: #174523)

 -- Shiju p. Nair <shiju.p@gmail.com>  Wed,  7 Apr 2006 09:49:11 +0300

libmng (1.0.8-1) unstable; urgency=low

  * New upstream release (closes: #250106).
  * Removed unwanted dependencies (closes: #256526, #218469)

 -- Shiju p. Nair <shiju.p@gmail.com>  Mon, 27 Sep 2004 10:29:48 +0300

libmng (1.0.5-1) unstable; urgency=low

  * New upstream version.
  * Fixes several Mozilla crashes (closes: #187069)

 -- Shiju p. Nair <shiju@infovillage.net>  Tue,  1 Apr 2003 09:57:22 +0300

libmng (1.0.4-4) unstable; urgency=low

  * New Maintainer (closes: #168565).
  * Patch from H. S. Teoh <hsteoh@quickfur.ath.cx> apllied to correct mng.5
    format (closes: #174552).

 -- Shiju p. Nair <shiju@infovillage.net>  Sun,  5 Jan 2003 10:23:47 +0300

libmng (1.0.4-3) unstable; urgency=low

  * Orphaned.

 -- Luis Arocha <data@debian.org>  Sun, 29 Dec 2002 20:51:53 +0000

libmng (1.0.4-2) unstable; urgency=low

  * Patch from Julien PUYDT applied. Solve compilation problem on Hurd
    (closes: #163994).

 -- Luis Arocha <data@debian.org>  Thu, 10 Oct 2002 17:01:09 +0100

libmng (1.0.4-1) unstable; urgency=low

  * New upstream version.
  * Solved problem with different versions of automake (closes: #156449).
  * Modified libdir in file libmng.la (closes: #161164).

 -- Luis Arocha <data@debian.org>  Sun, 29 Sep 2002 20:36:28 +0100

libmng (1.0.3-4) unstable; urgency=low

  * Build with renamed version of lcms.

 -- Luis Arocha <data@debian.org>  Mon,  3 Jun 2002 18:27:19 +0100

libmng (1.0.3-3) unstable; urgency=low

  * New Maintainer (closes: #127702).

 -- Luis Arocha <data@debian.org>  Fri,  4 Jan 2002 19:33:44 +0000

libmng (1.0.3-2) unstable; urgency=low

  * Build with new version of lcms
  * Cleanup build-deps/deps and lintian errors
  * This will also make sure that we build properly on all archs prior to
    release.

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 26 Oct 2001 22:43:00 -0700

libmng (1.0.3-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 19 Oct 2001 22:50:00 -0700

libmng (1.0.2-2) unstable; urgency=low

  * Don't use gcc3 anymore for alpha

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 03 Sep 2001 12:20:00 -0700

libmng (1.0.2-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 25 Aug 2001 04:20:00 -0700

libmng (1.0.1-3) unstable; urgency=low

  * Fix libtool bits for hurd (Closes: #105880)

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 19 Jul 2001 10:13:00 -0700

libmng (1.0.1-2) unstable; urgency=low

  * Autobuild and build properly for alpha

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 07 Jul 2001 02:18:00 -0700

libmng (1.0.1-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 30 Apr 2001 02:48:00 -0700

libmng (1.0.0-4) unstable; urgency=low

  * Adding in a replaces for libmng (Closes: #95061)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 23 Apr 2001 20:07:00 -0700

libmng (1.0.0-3) unstable; urgency=low

  * Update config.* files for hppa and ia64 builds
  * Update Build-Depends
  * Update Standards Version
  * Update debian/rules

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 22 Apr 2001 03:19:00 -0700

libmng (1.0.0-2) unstable; urgency=low

  * Update build-deps to build with new liblcms package

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 17 Feb 2001 05:43:00 -0700

libmng (1.0.0-1) unstable; urgency=low

  * New upstream version
  * Moving man pages into -dev package

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 09 Feb 2001 04:30:00 -0700

libmng (0.9.4-2) unstable; urgency=low

  * Fixing Build-Depends and Depends for -dev package
  * Fixing Sections for individual Packages

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 24 Jan 2001 01:54:00 -0700

libmng (0.9.4-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 20 Jan 2001 01:15:00 -0700

libmng (0.9.3-4) unstable; urgency=low

  * Update build-depends
  * Also (Closes: #82531)

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 16 Jan 2001 10:03:00 -0700

libmng (0.9.3-3) unstable; urgency=low

  * more build-depends work - adding missing xlibs-dev
  * fixing shlibs

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 18 Nov 2000 20:33:00 -0700

libmng (0.9.3-2) unstable; urgency=low

  * Re-adding lcms support

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 08 Nov 2000 16:22:00 -0700

libmng (0.9.3-1.1) unstable; urgency=low

  * Build without lcms support until liblcms makes it's way into woody

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 05 Nov 2000 22:00:00 -0700

libmng (0.9.3-1) unstable; urgency=low

  * Build with lcms support

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 04 Nov 2000 23:45:00 -0700

libmng (0.9.3-0) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 04 Nov 2000 23:00:00 -0700

libmng (0.9.2-3) unstable; urgency=low

  * Minor tweaks to compiler flags
  * lintian cleanups

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 16 Oct 2000 21:30:00 -0700

libmng (0.9.2-2) unstable; urgency=low

  * Just in case build...against new libc6
  * More build-depends cleanup

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 26 Sep 2000 22:30:50 -0700

libmng (0.9.2-1) unstable; urgency=low

  * Initial Release.

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 23 Sep 2000 01:58:50 -0700
